org.apache.ignite.internal.processors.cache

## Class CacheGroupDescriptor

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheGroupDescriptor

    public class CacheGroupDescriptor
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addWalChangeRequest(WalStateProposeMessage msg)` Add pending WAL change request.
`String` `cacheOrGroupName()`
`Map<String,Integer>` `caches()`
`CacheConfiguration<?,?>` `config()`
`IgniteUuid` `deploymentId()`
`int` `groupId()`
`String` `groupName()`
`boolean` `hasWalChangeRequests()`
`WalStateProposeMessage` `nextWalChangeRequest()`
`boolean` `persistenceEnabled()`
`UUID` `receivedFrom()`
`void` `removeWalChangeRequest()` Remove pending WAL change request.
`boolean` `sharedGroup()`
`AffinityTopologyVersion` `startTopologyVersion()`
`String` `toString()`
`List<WalStateProposeMessage>` `walChangeRequests()`
`boolean` `walEnabled()`
`void` `walEnabled(boolean walEnabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### receivedFrom

    public UUID receivedFrom()

Returns:
  Node ID group was received from.

#### deploymentId

    public IgniteUuid deploymentId()

Returns:
  Deployment ID.

#### walEnabled

    public boolean walEnabled()

Returns:
  `True` if WAL is enabled for cache group.

#### walEnabled

    public void walEnabled(boolean walEnabled)

Parameters:
  `walEnabled` - `True` if WAL is enabled for cache group.

#### walChangeRequests

    public List<WalStateProposeMessage> walChangeRequests()

Returns:
  Pending WAL change requests.

#### hasWalChangeRequests

    public boolean hasWalChangeRequests()

Returns:
  `True` whether there are pending WAL change requests.

#### nextWalChangeRequest

    @Nullable
    public WalStateProposeMessage nextWalChangeRequest()

Returns:
  Next pending WAL change request or `null` if none available.

#### addWalChangeRequest

    public boolean addWalChangeRequest(WalStateProposeMessage msg)

Add pending WAL change request.

Parameters:
  `msg` - Message.
Returns:
  `True` if this is the very first enlisted message.

#### removeWalChangeRequest

    public void removeWalChangeRequest()

Remove pending WAL change request.

#### sharedGroup

    public boolean sharedGroup()

Returns:
  `True` if group can contain multiple caches.

#### cacheOrGroupName

    public String cacheOrGroupName()

Returns:
  Group name if it is specified, otherwise cache name.

#### groupName

    @Nullable
    public String groupName()

Returns:
  Group name or `null` if group name was not specified for cache.

#### groupId

    public int groupId()

Returns:
  Group ID.

#### config

    public CacheConfiguration<?,?> config()

Returns:
  Configuration.

#### caches

    public Map<String,Integer> caches()

Returns:
  Group caches.

#### startTopologyVersion

    @Nullable
    public AffinityTopologyVersion startTopologyVersion()

Returns:
  Start version for dynamically started group.

#### persistenceEnabled

    public boolean persistenceEnabled()

Returns:
  Persistence enabled flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018